%demo of tsmatlab

%the input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, should be written including the dollar signs

ppath=cd;                                      %current path
c{1,1}='ipiale'; 
c{1,2}='336 1950 1';
c{1,3}=load([ppath '\series\ipiale.dat']);             %data
input='lam=-1 idif=3 inic=3 itrad=-1 ieast=-1 iatip=1 seats=2'; 
input=[input ' rmod=0 epsphi=180'];                  %namelist input
d{1,1}=input;
c{1,4}=d;

%pass information and run programs
out = tsmatlab(c,ppath);

